import request from '/@/utils/request';
import { appID } from '/@/api/common/common';


export const getTrendDetail = (data?: Object) => {
	return request({
		url: '/stats/user/active/detail',
		method: 'post',
		data:{appId: appID, ...data},
	});
};
//活跃趋势
export const getTrend = (data?: Object) => {
	return request({
		url: '/stats/user/active/trend',
		method: 'post',
		data:{appId: appID, ...data},
	});
};

//活跃构成
export const getCompose = (data?: Object) => {
	return request({
		url: '/stats/user/active/compose',
		method: 'post',
		data:{appId: appID, ...data},
	});
};
//活跃粘度
export const getViscosity = (data?: Object) => {
	return request({
		url: '/stats/user/active/viscosity',
		method: 'post',
		data:{appId: appID, ...data},
	});
};
//周活跃率
export const getWeekrate = (data?: Object) => {
	return request({
		url: '/stats/user/active/weekrate',
		method: 'post',
		data:{appId: appID, ...data},
	});
};
//月活跃率
export const getMonthrate = (data?: Object) => {
	return request({
		url: '/stats/user/active/monthrate',
		method: 'post',
		data:{appId: appID, ...data},
	});
};